points at end line
Hello,
I have closed 2D shapes, made from many lines. I need to insert block or point at each endpoint.
Can you please tell me what's the best way?
Thank you
Comments
-
Something like this
; add a circle to end of lines for import into the DRAINS software
(setq oldsnap (getvar "osmode"))
(setvar "osmode" 0)(command "layer" "n" "PITS" "Color" 1 "PITS" "s" "PITS" "")
(setq ent (car (entsel "\nSelect drain layer: ")))
(setq l_name (cdr (assoc 8 (entget ent))))(setq listlines (ssget "X" (list (cons 0 "line")(cons 8 l_name))))
(setq listlinesno (sslength listlines))(setq y 0)
(repeat listlinesno
(setq pt1 (cdr (assoc 10 (entget (ssname listlines y)))))
(command "circle" pt1 1.0)
(setq y (+ y 1))
) ;end repeat listlineno(setvar "osmode" oldsnap)
0